/*
========================================================================
 Name        : AudioPlayerDocument.h
 Copyright   : Symbian Academy, 2007
 Description : Represents persistent data of the application.
               Creates instance of the AppUi.
 =======================================================================
 */
#ifndef AUDIOPLAYERDOCUMENT_H
#define AUDIOPLAYERDOCUMENT_H

#include <akndoc.h>
		
class CEikAppUi;

/**
* @class	CAudioPlayerDocument AudioPlayerDocument.h
* @brief	A CAknDocument-derived class is required by the S60 application 
*           framework. It is responsible for creating the AppUi object. 
*/
class CAudioPlayerDocument : public CAknDocument
	{
public: 
	// constructor
	static CAudioPlayerDocument* NewL( CEikApplication& aApp );

private: 
	// constructors
	CAudioPlayerDocument( CEikApplication& aApp );
	void ConstructL();
	
public: 
	// from base class CEikDocument
	CEikAppUi* CreateAppUiL();
	};
#endif // AUDIOPLAYERDOCUMENT_H
